version 0x020921

input  "P1 Coin"          switch 0x06
input  "P1 Start"         switch 0x4085
input  "P1 Select"        switch 0x4084
input  "P1 Up"            switch 0x4002
input  "P1 Down"          switch 0x4003
input  "P1 Left"          switch 0x4000
input  "P1 Right"         switch 0x4001
input  "P1 Button A"      switch 0x4082
input  "P1 Button B"      switch 0x4080
input  "P1 Button C"      switch 0x4083
input  "P1 Button D"      switch 0x4081
input  "P2 Coin"          switch 0x07
input  "P2 Start"         switch 0x03
input  "P2 Select"        switch 0x05
input  "P2 Up"            switch 0x4002
input  "P2 Down"          switch 0x4003
input  "P2 Left"          switch 0x4000
input  "P2 Right"         switch 0x4001
input  "P2 Button A"      switch 0x4082
input  "P2 Button B"      switch 0x4080
input  "P2 Button C"      switch 0x4083
input  "P2 Button D"      switch 0x4081
input  "Reset"            switch 0x3D
input  "Test"             switch 0x3C
input  "Service"          switch 0x0A